'use strict';

var listProjectExistController = [
    '$scope',
    '$translate',
    '$location',
    '$routeParams',
    'GeneanetDevice',
    'GeneanetOverlay',
    'ProjetService',
    function ($scope, $translate, $location, $routeParams, GeneanetDevice, GeneanetOverlay, ProjetService) {
        var PAGE_GALLERY = "gallery";
        var PAGE_TAKE_PICTURE = "take_picture";

        document.addEventListener('deviceready', GeneanetDevice.determineOrientationCurrentPage);

        var currentPageType = $routeParams.pageType;
        switch (currentPageType) {
            case PAGE_TAKE_PICTURE:
                $scope.namePage = $translate.instant('homepage.take_picture');
                break;
            case PAGE_GALLERY:
                $scope.namePage = $translate.instant('homepage.my_pictures');
                break;
        }
        $scope.template_list = { url: 'templates/list_project.html' };

        $scope.back = function () {
            window.history.back();
        };

        if (ProjetService.projets.length > 0) {
            var projetsInfos = [];
            for (var i = 0; i < ProjetService.projets.length; i++) {
                var nbPhotos = ProjetService.projets[i].countPhotos();
                var i18nPhotos = nbPhotos <= 1 ? 'list_projectpage.picture' : 'list_projectpage.pictures';
                var nbPhotosText = nbPhotos + ' ' + $translate.instant(i18nPhotos);

                projetsInfos.push({projet: ProjetService.projets[i], nbPhotosText: nbPhotosText});

                $scope.projetsInfos = projetsInfos;
            }
        } else {
            var title = $translate.instant('alert.important');
            var content = "<p>"+$translate.instant('alert.error_project_exist')+"</p>";
            content += "<div class='text-center'><a class='btn btn-gnn-primary' href='#/listProjectGnn'>";
            content += $translate.instant('list_projectpage.text_subButtonCreate')+"</a></div>";
            GeneanetOverlay.openOverlay(title, content);
        }

        $scope.selected = function (projet) {
            ProjetService.resetContext();
            ProjetService.currentProjet = projet;
            switch(currentPageType){
                case PAGE_TAKE_PICTURE:
                    //Prendre une photo
                    $location.path('/cameraChoix/');
                    break;
                case PAGE_GALLERY:
                    //Ouvrir tout les projets
                    $location.path('/galleryProject/');
                    break;
            }
        };
    }
];