'use strict';

var settingsController = [
    "$scope",
    "$timeout",
    "$location",
    "$route",
    "$translate",
    "GeneanetDevice",
    "ConnexionService",
    "ConfigurationService",
    "GeneanetOverlay",
    function($scope, $timeout, $location, $route, $translate, GeneanetDevice, ConnexionService, ConfigurationService, GeneanetOverlay) {
        document.addEventListener('deviceready', GeneanetDevice.determineOrientationCurrentPage);

        $scope.login = false;
        $scope.logoutProgress = false;

        $scope.back = function() {
            window.history.back();
        };

        $scope.logout = function() {
            $scope.logoutProgress = true;
            ConnexionService.disconnect()
                .then(function () {
                    ConfigurationService.remove("login", function() {
                        $route.reload();
                    });
                })
                .catch(function () {
                    $scope.$on("GeneanetOverlayClose", function() {
                        $route.reload();
                    });
                    GeneanetOverlay.openOverlay(
                        $translate.instant("alert.fail_connect_gnn"),
                        $translate.instant("alert.fail_connect_gnn_more")
                    );
                });
        };

        $scope.connexion = function() {
            ConnexionService.setRedirect("/configuration/settings/");
            $timeout(function() {
                $scope.$apply(function() {
                    $location.path("/connexion/").replace();
                });
            }, 11);
        };

        if (ConfigurationService.exist("login")) {
            $scope.login = ConfigurationService.get("login");
        };
    }
]