"use strict";

var statisticsController = [
    "$scope",
    "GeneanetDevice",
    "ConfigurationService",
    function($scope, GeneanetDevice, ConfigurationService) {
        document.addEventListener("deviceready", GeneanetDevice.determineOrientationCurrentPage);

        $scope.back = function() {
            window.history.back();
        };

        function toLocaleDateStringSupportsLocales() {
            try {
                new Date().toLocaleDateString("i");
            } catch (e) {
                return e.name === "RangeError";
            }
            return false;
        }

        $scope.picturesPublished = parseInt(ConfigurationService.get("picturesPublished"));
        $scope.projectsPublished = (ConfigurationService.get("projectsPublished") || []).length;

        var dateStartCount = ConfigurationService.get("dateStartCount");
        dateStartCount = new Date(dateStartCount);

        if (toLocaleDateStringSupportsLocales()) {
            dateStartCount = dateStartCount.toLocaleDateString(navigator.language, {weekday: "long", year: "numeric", month: "long", day: "numeric"});
        } else {
            if (navigator.language.toLowerCase() === "en-us") {
                dateStartCount = (dateStartCount.getMonth()+1) + "/" + dateStartCount.getDate() + "/" + dateStartCount.getFullYear();
            } else {
                dateStartCount = dateStartCount.getDate() + "/" + (dateStartCount.getMonth()+1) + "/" + dateStartCount.getFullYear();
            }
        }
        $scope.dateStartCount = dateStartCount;
    }
];