'use strict';

/**
 *  Service permettant de gérer la configuration de l'application.
 */
var configurationService = [
    "GeneanetLocalStorage",
    function(GeneanetLocalStorage) {
        var configurations;
        var namespace = 'configuration';

        this.loadConfig = function(forceUpdate) {
            if (!configurations || forceUpdate) {
                configurations = GeneanetLocalStorage.getItems(namespace);
            }
        }


        this.get = function(key) {
            if (configurations == null) {
                return undefined;
            }

            return configurations[key];
        }

        this.exist = function(key) {
            if (configurations == null || !(key in configurations)) {
                return false;
            }

            return true;
        }

        this.add = function(key, value, callback) {
            if (configurations == null) {
                configurations = {};
            }

            if (!this.exist(key)) {
                // Nouvelle clé, c'est ok.
                configurations[key] = value;
                GeneanetLocalStorage.setItem(key, value, namespace);
                if (callback) {
                    callback();
                }
            }
        }

        this.edit = function(key, value, callback) {
            configurations[key] = value;
            GeneanetLocalStorage.setItem(key, value, namespace);
            if (callback) {
                callback();
            }
        }

        this.remove = function(key, callback) {
            delete(configurations[key]);
            GeneanetLocalStorage.removeItem(key, namespace);
            if (callback) {
                callback();
            }
        }
    }
];
